Way for anons to disable search box AJAX suggestions
Closed, DeclinedPublic

Description

Author: lunasantin

Description:
http://en.wikipedia.org/wiki/Wikipedia:Help_desk#disabling_search_suggestion_popups_without_login

Anon was requesting some way to disable to search suggestions without logging in (currently, logged-in users can disable this in Special:Prefences). Multiple people have suggested cookies as a possible solution, here.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz13848.
bzimport created this task.Via LegacyApr 26 2008, 5:55 AM
brion added a comment.Via ConduitApr 29 2008, 8:14 PM

If we had general cookie-based preferences for anons this could get thrown in with them, but currently we don't really have anything set up for that.

The good news is that our new caching tweaks should allow such prefs, if/when they exist, to not interfere with general anonymous page view caches.

The bad news is there's not going to be a big rush to add them, probably.

brion added a comment.Via ConduitAug 4 2008, 3:48 AM

There's no current plans to add such an anon preference, but you can of course log in and disable it there, along with all other site preferences.

MZMcBride added a comment.Via ConduitMay 5 2010, 2:20 AM

No current plans != WONTFIX. Re-opening.

Bug 20151 blocks this bug.

hashar added a comment.Via ConduitMar 13 2011, 1:06 PM

Moving bug to Mediawiki product

DanielFriesen added a comment.Via ConduitNov 8 2012, 11:22 PM

Updated link:
https://en.wikipedia.org/wiki/Wikipedia:Help_desk/Archives/2008_April_26#disabling_search_suggestion_popups_without_login

Though I'm not sure how valuable this would be. It feels like those preferences we add because one person doesn't like the feature and finally now we are trying to eliminate them because the fact we have them actively makes preferences cluttered and hard to use.

MZMcBride added a comment.Via ConduitJul 30 2014, 2:27 AM

Back to resolved/wontfix here given bug 52812.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.